using UnityEngine;
using System.Collections;

public class TimeExtender : MonoBehaviour {

    private float NotificationEnd = 0.0f;
    public void ExtendTime(float ExtendAmount)
    {
        NotificationEnd = Time.time + 3.0f;
        GetComponent<UnityEngine.UI.Text>().text = "+" + ExtendAmount + "s";
    }

    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (Time.time > NotificationEnd)
        {
            GetComponent<UnityEngine.UI.Text>().text = "";
        }
    }
}
